Bug 430351 - Review Request: libgee - GObject collection library
Review Request: libgee - GObject collection library
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-26 13:43 EST by Michel Alexandre Salim
Modified: 2008-02-13 00:05 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.1.1-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-12 23:52:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2008-01-26 13:43:15 EST
Spec URL: http://salimma.fedorapeople.org/for_review/gnome/libgee.spec
SRPM URL: http://salimma.fedorapeople.org/for_review/gnome/libgee-0.1.1-1.fc8.src.rpm
Description:

libgee is a collection library providing GObject-based interfaces and
classes for commonly used data structures.

libgee provides the following interfaces:

        * Iterable
          * Collection
            * List
            * Set
        * Iterator
        * Map

The ArrayList, HashSet, and HashMap classes provide a reasonable sample
implementation of the List, Set, and Map interfaces. ReadOnlyCollection,
ReadOnlyList, ReadOnlySet, and ReadOnlyMap are read-only wrapper classes
that prevent modification of the underlying collection.

libgee is written in Vala and can be used like any GObject-based C library.
It's planned to provide bindings for further languages.
Comment 1 Parag AN(पराग) 2008-01-26 22:22:59 EST
you better write
Requires:	pkgconfig
to -devel package and not to main package.
Comment 2 Michel Alexandre Salim 2008-01-27 00:25:18 EST
Ah yes, that's what I was intending to do, thanks.

Spec URL: http://salimma.fedorapeople.org/for_review/gnome/libgee.spec
SRPM URL:
http://salimma.fedorapeople.org/for_review/gnome/libgee-0.1.1-2.fc9.src.rpm


Comment 3 Parag AN(पराग) 2008-01-27 23:17:01 EST
Review:
+ package builds in mock (rawhide i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
a3db8d02ec106df97c4f36257a7b5e8a  libgee-0.1.1.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ BuildRequires are proper.
+ Compiler flags used correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ gee-1.0.pc file present.
+ -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ ldconfig scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package libgee-0.1.1-2.fc9 ->
  Provides: libgee.so.0
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3) libgee.so.0
libglib-2.0.so.0 libgobject-2.0.so.0 rtld(GNU_HASH)
+ Package libgee-devel-0.1.1-2.fc9 ->
  Requires: libgee = 0.1.1-2.fc9 libgee.so.0 pkgconfig vala
+ Not a GUI App.

 I also don't think good to create one more subpackage for installing single
file. Good that you already commented same in SPEC file.
 SHOULD:
    Add ChangeLog to libgee package also.
  

APPROVED.
Comment 4 Michel Alexandre Salim 2008-01-27 23:43:40 EST
Thanks!

 SHOULD:
    Add ChangeLog to libgee package also.

Hm, not sure. It's already part of libgee-devel, and the information contained
there seems more suited to people wanting to compile against libgee (i.e.
programmers, not users) -- they have to install -devel anyway.

New Package CVS Request
=======================
Package Name: libgee
Short Description: 
Owners: GObject collection library
Branches: EL-5 F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 5 Parag AN(पराग) 2008-01-28 00:09:14 EST
afaik ChangeLog should be part of main package say here libgee and not
libgee-devel. When developer want to install libgee-devel he will get libgee
automatically installed.
If you look for ChangeLog file under /usr/share/doc, you will see many main
packages are always installing ChangeLog file.
Comment 6 Michel Alexandre Salim 2008-01-28 00:37:02 EST
OK, will move it. That way we won't have %{_docdir}/libgee-devel-%{version} only
containing one file as well.
Comment 7 Dennis Gilmore 2008-01-28 11:10:12 EST
without a description CVS cannot be completed.  please fix and resubmit your 
cvs request 
Comment 8 Michel Alexandre Salim 2008-01-28 14:06:40 EST
Ah, it somehow escaped my attention. Thanks, resubmitting.

New Package CVS Request
=======================
Package Name: libgee
Short Description: GObject collection library
Owners: GObject collection library
Branches: EL-5 F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 9 Michel Alexandre Salim 2008-01-28 15:45:30 EST
New Package CVS Request
=======================
Package Name: libgee
Short Description: GObject collection library
Owners: salimma
Branches: EL-5 F-7 F-8
InitialCC: 
Cvsextras Commits: yes


Comment 10 Kevin Fenzi 2008-01-29 12:44:53 EST
cvs done.
Comment 11 Fedora Update System 2008-01-30 00:23:18 EST
libgee-0.1.1-2.fc8 has been submitted as an update for Fedora 8
Comment 12 Fedora Update System 2008-01-30 00:23:50 EST
libgee-0.1.1-2.fc7 has been submitted as an update for Fedora 7
Comment 13 Fedora Update System 2008-02-12 23:52:21 EST
libgee-0.1.1-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2008-02-13 00:05:29 EST
libgee-0.1.1-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.